#include <array>

#include "delay.h"

#include "platform/nrf52/gpio.h"
#include "platform/nrf52/InterruptHandler.h"
#include "platform/nrf52/InterruptGuardian.h"

using namespace pinetime::platform::nrf52;

enum {
    PIN_NUMBER_LED_1 = 17,
    PIN_NUMBER_LED_2 = 18,
    PIN_NUMBER_LED_3 = 19,
    PIN_NUMBER_LED_4 = 20
};

Gpio led_1(PIN_NUMBER_LED_1);
Gpio led_2(PIN_NUMBER_LED_2);
Gpio led_3(PIN_NUMBER_LED_3);
Gpio led_4(PIN_NUMBER_LED_4);

std::array<Gpio *, 4> leds = {&led_1, &led_2, &led_3, &led_4};

InterruptGuardian InterruptGuardian::instance;

int main(void)
{
    while(true) {
        for(auto it = std::begin(leds); it != std::end(leds); ++it) {
            Gpio * tmp = *it;
            tmp->toggle();
            delay_ms(500);
        }
    }
    return 0;
}
