#include "delay.h"

#include "platform/nrf52/gpio.h"
#include "platform/nrf52/spi.h"
#include "platform/nrf52/InterruptHandler.h"
#include "platform/nrf52/InterruptGuardian.h"
#include "st7789.h"

using namespace pinetime::platform::nrf52;

Gpio led_1(17);

Gpio lcd_reset(26);
Gpio lcd_data_command(18);
Gpio lcd_backlight(23);
Gpio lcd_chip_select(25);
Spi lcd_spi(0, 2, 3, 4, lcd_chip_select);

St7789 lcd(lcd_spi, lcd_reset, lcd_data_command, lcd_backlight);

InterruptGuardian InterruptGuardian::instance;

int main(void)
{
    lcd.init();
    lcd.clear(0);
    while(true) {
        delay_ms(200);
        led_1.toggle();
    }
}
